Skip to main content
POST
/
contact
/
reverse
/
email
/
bulk
Reverse Contact Lookup In Bulk
curl --request POST \
  --url https://app.fullenrich.com/api/v2/contact/reverse/email/bulk \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Reverse Lookup Batch 1",
  "data": [
    {
      "email": "john.snow@example.com",
      "custom": {
        "user_id": "12584"
      }
    }
  ],
  "webhook_url": "https://example.com/webhook",
  "webhook_events": {
    "contact_finished": "https://example.com/webhook/contact"
  }
}
'
{
  "enrichment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Documentation Index

Fetch the complete documentation index at: https://docs.fullenrich.com/llms.txt

Use this file to discover all available pages before exploring further.

First time? Set up Authentication

Learn how to authenticate your API requests with your API key.
Get the full Person and Company profile from an email. This endpoint works with:
  • Work emails
  • Personal emails
If we find who’s behind the email, 1 credit will be used.

How Do Webhooks Work? [Recommended Read]

Learn how to receive results in real-time, set up per-contact webhooks, and track requests with custom fields.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required

A readable name for this reverse lookup (visible in your dashboard)

Example:

"Reverse Lookup Batch 1"

data
object[]
required
Example:
[
{
"email": "john.snow@example.com",
"custom": { "user_id": "12584" }
}
]
webhook_url
string

URL that will receive a POST request when the entire reverse lookup is finished (all emails processed).

Example:

"https://example.com/webhook"

webhook_events
object

Optional webhook URLs for specific events during reverse lookup

Response

OK

enrichment_id
string<uuid>
Example:

"2db5ea61-1752-42cf-8ea1-ab1da060cd0a"